Package org.eclipse.birt.chart.model.attribute.impl

# Class TooltipValueImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.ActionValueImpl
org.eclipse.birt.chart.model.attribute.impl.TooltipValueImpl

All Implemented Interfaces:
  `ActionValue`, `TooltipValue`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class TooltipValueImpl extends ActionValueImpl implements TooltipValue
An implementation of the model object ' Tooltip Value'.

The following features are implemented:

- `Text`
- `Delay`
- `Format Specifier`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`TooltipValue`
`copyInstance()`
A convenient method to get an instance copy.
`static final TooltipValue`
`create(int iDelay, String sText)`
A convenience method provided to build a tooltip action value when needed NOTE: Manually written
`static final TooltipValue`
`create(int iDelay, String sText, FormatSpecifier formatSpecifier)`
A convenience method provided to build a tooltip action value when needed NOTE: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`int`
`getDelay()`
`FormatSpecifier`
`getFormatSpecifier()`
`String`
`getText()`
`boolean`
`isSetDelay()`
`void`
`setDelay(int newDelay)`
`void`
`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`
`void`
`setText(String newText)`
`String`
`toString()`
`void`
`unsetDelay()`

### Methods inherited from class org.eclipse.birt.chart.model.attribute.impl.ActionValueImpl

`basicSetLabel, getLabel, setLabel`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.ActionValue

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getText

public String getText()

Specified by:
  `getText` in interface `TooltipValue`
Returns:
  the value of the 'Text' attribute.
See Also:
  - `TooltipValue.setText(String)`
  - `AttributePackage.getTooltipValue_Text()`

### setText

public void setText(String newText)

Specified by:
  `setText` in interface `TooltipValue`
Parameters:
  `newText` - the new value of the 'Text' attribute.
See Also:
  - `TooltipValue.getText()`

### getDelay

public int getDelay()

Specified by:
  `getDelay` in interface `TooltipValue`
Returns:
  the value of the 'Delay' attribute.
See Also:
  - `TooltipValue.isSetDelay()`
  - `TooltipValue.unsetDelay()`
  - `TooltipValue.setDelay(int)`
  - `AttributePackage.getTooltipValue_Delay()`

### setDelay

public void setDelay(int newDelay)

Specified by:
  `setDelay` in interface `TooltipValue`
Parameters:
  `newDelay` - the new value of the 'Delay' attribute.
See Also:
  - `TooltipValue.isSetDelay()`
  - `TooltipValue.unsetDelay()`
  - `TooltipValue.getDelay()`

### unsetDelay

public void unsetDelay()

Specified by:
  `unsetDelay` in interface `TooltipValue`
See Also:
  - `TooltipValue.isSetDelay()`
  - `TooltipValue.getDelay()`
  - `TooltipValue.setDelay(int)`

### isSetDelay

public boolean isSetDelay()

Specified by:
  `isSetDelay` in interface `TooltipValue`
Returns:
  whether the value of the 'Delay' attribute is set.
See Also:
  - `TooltipValue.unsetDelay()`
  - `TooltipValue.getDelay()`
  - `TooltipValue.setDelay(int)`

### getFormatSpecifier

public FormatSpecifier getFormatSpecifier()

Specified by:
  `getFormatSpecifier` in interface `TooltipValue`
Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `TooltipValue.setFormatSpecifier(FormatSpecifier)`
  - `AttributePackage.getTooltipValue_FormatSpecifier()`

### basicSetFormatSpecifier

public org.eclipse.emf.common.notify.NotificationChain basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)

### setFormatSpecifier

public void setFormatSpecifier(FormatSpecifier newFormatSpecifier)

Specified by:
  `setFormatSpecifier` in interface `TooltipValue`
Parameters:
  `newFormatSpecifier` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `TooltipValue.getFormatSpecifier()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ActionValueImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ActionValueImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ActionValueImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ActionValueImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ActionValueImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final TooltipValue create(int iDelay, String sText)
A convenience method provided to build a tooltip action value when needed NOTE: Manually written

Parameters:
  `iDelay` -
  `sText` -
Returns:

### create

public static final TooltipValue create(int iDelay, String sText, FormatSpecifier formatSpecifier)
A convenience method provided to build a tooltip action value when needed NOTE: Manually written

Parameters:
  `iDelay` -
  `sText` -
  `formatSpecifier` -
Returns:

### copyInstance

public TooltipValue copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `ActionValue`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `TooltipValue`
Overrides:
  `copyInstance` in class `ActionValueImpl`